using Godot;
using System;

public partial class Menu : Control
{
	[Export] AnimationPlayer anim;
	[Export] Panel pause;
	[Export] Panel trick;
	[Export] PackedScene principal;
	// Called when the node enters the scene tree for the first time.
	public override void _Ready()
	{
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
	}

	public void ResumeDown()
	{
		
		Input.MouseMode = Input.MouseModeEnum.Hidden;
		anim.Play("resume");
	}

	public void OptionDown()
	{
		pause.Visible = false;
		trick.Visible = true;
	}

	public void ExitDown()
	{
		GetTree().ChangeSceneToPacked(principal);
	}

	public void Res()
	{
		GetTree().Paused = false;
	}

	public void ExitTrick()
	{
		pause.Visible = true;
		trick.Visible = false;
	}
}
